Subject: Re: [PATCH RFC net-next 2/5] net: phy: support indirect c45 access in get_phy_c45_ids()

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 30 Mar 2022 17:18:52 +0100

On Wed, Mar 23, 2022 at 11:14:11PM +0100, Michael Walle wrote:
> I actually had that. But mmd_phy_indirect() doesn't check
> the return code and neither does the __phy_write_mmd() it
> actually deliberatly sets "ret = 0". So I wasn't sure. If you
> are fine with a changed code flow in the error case, then sure.
> I.e. mmd_phy_indirect() always (try to) do three accesses; with
> error checks it might end after the first. If you are fine
> with the error checks, should __phy_write_mmd() also check the
> last mdiobus_write()?

The reason for that goes back to
commit a59a4d1921664da63d801ba477950114c71c88c9
    phy: add the EEE support and the way to access to the MMD registers.

and to maintain compatibility with that; if we start checking for
errors now, we might trigger a kernel regression sadly.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!